<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Ordefo Chat</title>
  </head>
  <body>
    <h1>Ordefo Chat App</h1>

    <div class="chat__sidebar">
      <h3>People</h3>
      <div id="users"></div>
    </div>

    <form id="message-form">
      <input type="text" name="message" placeholder="Message" />
      <button type="submit" id="submit-btn">Submit</button>

      <button type="button" id="send-location">Send Location</button>
    </form>

    <script id="message-template" type="text/template">
      <li class="message">
        <div class="message__title">
          <h4>{{ from }}</h4>
          <span>{{ createdAt }}</span>
        </div>
        <div class="message-body">
          {{ text }}
        </div>
      </li>
    </script>

    <script id="location-message-template" type="text/template">
      <li class="message">
        <div class="message__title">
          <h4>{{ from }}</h4>
          <span>{{ createdAt }}</span>
        </div>
        <div class="message-body">
          <a href="{{ url }}" target="_blank">My Current Location</a>
        </div>
      </li>
    </script>

    <script src="/socket.io/socket.io.js"></script>
    <script src="/js/index.js"></script>
    <script src="/js/libs/moment.js"></script>
    <script src="/js/libs/mustache.js"></script>
  </body>
</html>
